/* AWTimesheetView */

#import <Cocoa/Cocoa.h>
#import "Class.h"

@interface AWTimesheetView : NSOutlineView
{
	float minValue;
	float maxValue;
	float precision;
	
	NSMutableArray					* cursorRects;
	NSMutableArray					* trackingRects;
	
	IBOutlet NSTableColumn			* ruledTableColumn;
}

- (void)resetTrackingRects;

- (NSTableColumn *)ruledTableColumn;
- (float)minValue;
- (float)maxValue;
- (float)precision;

- (void)handleItemDidExpandOrCollapse:(NSNotification *)notification;
- (void)handleStartOfDayDidChangeNotification:(NSNotification *)notification;
- (void)handleEndOfDayDidChangeNotification:(NSNotification *)notification;
- (void)handlePrecisionDidChangeNotification:(NSNotification *)notification;

@end
