// STATIC VARIABLES //

// GENERAL PREFERENCES //
static NSString * AWTimesheetLicenseAccepted								= @"Timesheet License Accepted";
static NSString * AWTimesheetStartupAction									= @"Timesheet Startup Action";
static NSString * AWTimesheetStartupOpenFile								= @"Timesheet Startup Open File";
static int AWTimesheetStartupNewDocumentAction								= 0;
static int AWTimesheetStartupOpenDocumentAction								= 1;
static NSString * AWTimesheetStartOfDay										= @"Timesheet Start Of Day";
static NSString * AWTimesheetEndOfDay										= @"Timesheet End Of Day";
static NSString * AWTimesheetPrecision										= @"Timesheet Precision";
// INVOICES PREFERENCES //
static NSString * AWTimesheetDefaultRate									= @"Timesheet Default Rate";
static NSString * AWTimesheetDefaultTerms									= @"Timesheet Default Terms";
static NSString * AWTimesheetTax1Label										= @"Timesheet Tax 1 Label";
static NSString * AWTimesheetTax2Label										= @"Timesheet Tax 2 Label";
static NSString * AWTimesheetTax3Label										= @"Timesheet Tax 3 Label";
static NSString * AWTimesheetTax1Rate										= @"Timesheet Tax 1 Rate";
static NSString * AWTimesheetTax2Rate										= @"Timesheet Tax 2 Rate";
static NSString * AWTimesheetTax3Rate										= @"Timesheet Tax 3 Rate";
static NSString * AWTimesheetTax1IsCompound									= @"Timesheet Tax 1 Is Compound";
static NSString * AWTimesheetTax2IsCompound									= @"Timesheet Tax 2 Is Compound";
static NSString * AWTimesheetTax3IsCompound									= @"Timesheet Tax 3 Is Compound";
static NSString * AWTimesheetHasTax1										= @"Timesheet Has Tax 1";
static NSString * AWTimesheetHasTax2										= @"Timesheet Has Tax 2";
static NSString * AWTimesheetHasTax3										= @"Timesheet Has Tax 3";
static NSString * AWTimesheetInvoiceTemplate								= @"Timesheet Invoice Template";
// NUMBERS PREFERENCES //
static NSString * AWTimesheetPersonNumber									= @"Timesheet Person Number";
static NSString * AWTimesheetTaskNumber										= @"Timesheet Task Number";
static NSString * AWTimesheetInvoicePrefix									= @"Timesheet Invoice Prefix";
static NSString * AWTimesheetInvoiceNumber									= @"Timesheet Invoice Number";
// AUTOFILL PREFERENCES //
static NSString * AWTimesheetDefaultTaskCodeFormat							= @"Timesheet Default Task Code Format";
// IDENTITY PREFERENCES //
static NSString * AWTimesheetIdentityFirstName								= @"Timesheet Identity First Name";
static NSString * AWTimesheetIdentityLastName								= @"Timesheet Identity Last Name";
static NSString * AWTimesheetIdentityCompanyName							= @"Timesheet Identity Company Name";
static NSString * AWTimesheetIdentityAddressStreet							= @"Timesheet Identity Address Street";
static NSString * AWTimesheetIdentityAddressCity							= @"Timesheet Identity Address City";
static NSString * AWTimesheetIdentityAddressState							= @"Timesheet Identity Address State";
static NSString * AWTimesheetIdentityAddressCode							= @"Timesheet Identity Address Code";
static NSString * AWTimesheetIdentitySignature								= @"Timesheet Identity Signature";
// NOTIFICATIONS //
static NSString * AWTimesheetStartOfDayDidChangeNotification				= @"Timesheet Start Of Day Did Change Notification";
static NSString * AWTimesheetEndOfDayDidChangeNotification					= @"Timesheet End Of Day Did Change Notification";
static NSString * AWTimesheetPrecisionDidChangeNotification					= @"Timesheet Precision Did Change Notification";
static NSString * AWTimesheetTaskCodeFormatDidChange						= @"Timesheet Task Code Format Did Change";
// INTEGER DEFINITIONS //
static int AWTimesheetInvoiceItemTimeType									= 0;
static int AWTimesheetInvoiceItemExpenseType								= 1;




// DECLARE CLASSES //

// EXPORTERS //
@class HTMLInvoiceExporter;
@class QIFInvoiceExporter;
@class XMLSpreadsheetTimesheetExporter;
// GENERAL //
@class MyDocument;
@class MyToolbar;
// PREFERENCES //
@class MyPreferences;
@class GeneralPreferences;
@class InvoicesPreferences;
@class AutoFillPreferences;
@class IdentityPreferences;
@class NumbersPreferences;
// CONTROLLER OBJECTS //
@class ExpenseController;
@class InvoiceController;
@class InvoiceItemController;
@class LogItemController;
@class PaymentController;
@class PersonController;
@class TaskController;
// MODEL OBJECTS //
@class AWManagedObject;
// VIEW OBJECTS //
@class AWBorderlessButtonCell;
@class AWBorderlessPopUpButtonCell;
@class AWBorderlessTokenField;
@class AWFilenameTransformer;
@class AWFilterButtonCell;
@class AWHeadingField;
@class AWHeadingFieldCell;
@class AWInfoBox;
@class AWInspectorHeaderPopUpButton;
@class AWInspectorHeaderPopUpButtonCell;
@class AWInvoiceEditableTransformer;
@class AWInvoiceItemTypeTransformer;
@class AWInvoiceStatusMessageTransformer;
@class AWLabelField;
@class AWLabelFieldCell;
@class AWLockButton;
@class AWLockButtonCell;
@class AWOutlineView;
@class AWPopUpButton;
@class AWPopUpButtonCell;
@class AWRule;
@class AWSecondaryInfoBox;
@class AWSplitHandleButton;
@class AWSplitView;
@class AWTaskStatusTransformer;
@class AWTimesheetCell;
@class AWTimesheetRuledHeaderCell;
@class AWTimesheetView;
@class AWToken;
@class AWTokenField;
@class AWTokenFieldCell;
@class AWToolbarBox;
@class AWView;
// OTHER //
@class TaskAutoFillTokenLibrary;




// IMPORT CLASS HEADERS //

// EXPORTERS //
#import "HTMLInvoiceExporter.h"
#import "QIFInvoiceExporter.h"
#import "XMLSpreadsheetTimesheetExporter.h"
// GERNERAL //
#import "MyDocument.h"
#import "MyToolbar.h"
// PREFERENCES //
#import "MyPreferences.h"
#import "GeneralPreferences.h"
#import "InvoicesPreferences.h"
#import "AutoFillPreferences.h"
#import "IdentityPreferences.h"
#import "NumbersPreferences.h"
// CONTROLLER OBJECTS //
#import "ExpenseController.h"
#import "InvoiceController.h"
#import "InvoiceItemController.h"
#import "LogItemController.h"
#import "PaymentController.h"
#import "PersonController.h"
#import "TaskController.h"
// MODEL OBJECTS //
#import "AWManagedObject.h"
// VIEW OBJECTS //
#import "AWBorderlessButtonCell.h"
#import "AWBorderlessPopUpButtonCell.h"
#import "AWBorderlessTokenField.h"
#import "AWFilenameTransformer.h"
#import "AWFilterButtonCell.h"
#import "AWHeadingField.h"
#import "AWHeadingFieldCell.h"
#import "AWInfoBox.h"
#import "AWInspectorHeaderPopUpButton.h"
#import "AWInspectorHeaderPopUpButtonCell.h"
#import "AWInvoiceEditableTransformer.h"
#import "AWInvoiceItemTypeTransformer.h"
#import "AWInvoiceStatusMessageTransformer.h"
#import "AWLabelField.h"
#import "AWLabelFieldCell.h"
#import "AWLockButton.h"
#import "AWLockButtonCell.h"
#import "AWOutlineView.h"
#import "AWPopUpButton.h"
#import "AWPopUpButtonCell.h"
#import "AWRule.h"
#import "AWSecondaryInfoBox.h"
#import "AWSplitHandleButton.h"
#import "AWSplitView.h"
#import "AWTaskStatusTransformer.h"
#import "AWTimesheetCell.h"
#import "AWTimesheetRuledHeaderCell.h"
#import "AWTimesheetView.h"
#import "AWToken.h"
#import "AWTokenField.h"
#import "AWTokenFieldCell.h"
#import "AWToolbarBox.h"
#import "AWView.h"
// OTHER //
#import "TaskAutoFillTokenLibrary.h"