/* PersonController */

#import <Cocoa/Cocoa.h>
#import <AddressBook/AddressBook.h>
#import <AddressBook/ABPeoplePickerView.h>
#import "Class.h"

@interface PersonController : NSArrayController
{
	IBOutlet MyDocument					* document;
	
	ABAddressBook * addressBook;
	
	IBOutlet NSBox						* toolbarBox;
	IBOutlet NSMenu						* actionMenu;

	IBOutlet NSButton					* allFilterButton;
	IBOutlet NSButton					* companiesFilterButton;
	IBOutlet NSButton					* individualsFilterButton;
	
	IBOutlet NSTextField				* numberField;
	IBOutlet NSTextField				* discountRateField;
	IBOutlet NSTextField				* termsField;
	
	IBOutlet NSWindow					* addPersonWindow;
	IBOutlet ABPeoplePickerView			* peoplePicker;
	IBOutlet NSTextField				* addPeoplePickerPersonCodeField;
	
	IBOutlet NSWindow					* addNewPersonWindow;
	IBOutlet NSTextField				* addNewPersonFirstNameField;
	IBOutlet NSTextField				* addNewPersonLastNameField;
	IBOutlet NSTextField				* addNewPersonCompanyNameField;
	IBOutlet NSButton					* addNewPersonIsCompanyButton;
	IBOutlet NSTextField				* addNewPersonAddressStreetField;
	IBOutlet NSTextField				* addNewPersonAddressCityField;
	IBOutlet NSTextField				* addNewPersonAddressStateField;	
	IBOutlet NSTextField				* addNewPersonAddressCodeField;	
	IBOutlet NSTextField				* addNewPersonEmailField;
	IBOutlet NSTextField				* addNewPersonPhoneField;
	IBOutlet NSTextField				* addNewPersonCodeField;	
	IBOutlet NSButton					* addNewPersonToAddressBookButton;
	
	IBOutlet AWView						* detailsView;
	IBOutlet AWView						* inspectorView;
	IBOutlet NSTableView				* tableView;
}

- (NSView *)detailsView;
- (NSView *)inspectorView;

- (IBAction)handleAddPerson:(id)sender;
- (void)beginPeoplePicker:(id)sender contextInfo:(id)info;
- (IBAction)handleAddFromPeoplePickerSheet:(id)sender;
- (IBAction)handleCancelFromPeoplePickerSheet:(id)sender;
- (IBAction)handleNewFromPeoplePickerSheet:(id)sender;
- (id)newPersonFromABPerson:(id)person;
- (void)beginNewPersonSheet:(id)sender contextInfo:(id)info;
- (IBAction)handleAddFromNewPersonSheet:(id)sender;
- (IBAction)handleCancelFromNewPersonSheet:(id)sender;
- (void)didEnd:(NSWindow *)sheet returnCode:(int)code contextInfo:(id)info;

- (IBAction)handleClickFilterButton:(id)sender;
- (void)handleIMStatusChanged:(NSNotification *)notification;
- (IBAction)handleEmail:(id)sender;

@end
